#ifndef ____SMTP_AUTH_h__
# define ____SMTP_AUTH_h__

# include "Command.h"

namespace mail {

   class SMTPServer;

   class __SMTP_AUTH : public core::Command {

    public:
      int processCommand(coreutils::ZString &request, core::TCPSession &session) override;
      bool authLogin(coreutils::ZString userName, coreutils::ZString password, SMTPServer &server);

   };

}

#endif
